> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a ticket comment

> Create a comment on a ticket.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /tickets/{ticketId}/comments
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /tickets/{ticketId}/comments:
    post:
      tags:
        - Tickets
      summary: Create a ticket comment
      description: Create a comment on a ticket.
      operationId: createTicketComment
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTicketCommentBody'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketCommentOutput_Output'
components:
  schemas:
    CreateTicketCommentBody:
      type: object
      properties:
        text:
          type: string
          minLength: 1
      required:
        - text
    TicketCommentOutput_Output:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        creator:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  const: EMPLOYEE
                employeeId:
                  type: string
              required:
                - type
                - employeeId
              additionalProperties: false
            - type: object
              properties:
                type:
                  type: string
                  const: EXTERNAL_ADMIN
                userId:
                  type: string
              required:
                - type
                - userId
              additionalProperties: false
            - type: object
              properties:
                type:
                  type: string
                  const: EMAIL
                email:
                  type: string
              required:
                - type
                - email
              additionalProperties: false
            - type: object
              properties:
                type:
                  type: string
                  const: PRIMO
              required:
                - type
              additionalProperties: false
            - type: object
              properties:
                type:
                  type: string
                  const: API
              required:
                - type
              additionalProperties: false
            - type: object
              properties:
                type:
                  type: string
                  const: SLACK_USER
                name:
                  type: string
              required:
                - type
                - name
              additionalProperties: false
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - text
        - creator
        - createdAt
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````